package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEMVAudioInfo {
    public transient boolean LIZ;
    public transient long LIZIZ;

    static {
        Covode.recordClassIndex(29804);
    }

    public void finalize() {
        LIZLLL();
    }

    public NLEMVAudioInfo() {
        this(NLEMediaJniJNI.new_NLEMVAudioInfo());
        MethodCollector.i(1682);
        MethodCollector.o(1682);
    }

    public final String LIZ() {
        MethodCollector.i(1687);
        String NLEMVAudioInfo_path_get = NLEMediaJniJNI.NLEMVAudioInfo_path_get(this.LIZIZ, this);
        MethodCollector.o(1687);
        return NLEMVAudioInfo_path_get;
    }

    public final long LIZIZ() {
        MethodCollector.i(1692);
        long NLEMVAudioInfo_trimIn_get = NLEMediaJniJNI.NLEMVAudioInfo_trimIn_get(this.LIZIZ, this);
        MethodCollector.o(1692);
        return NLEMVAudioInfo_trimIn_get;
    }

    public final long LIZJ() {
        MethodCollector.i(1694);
        long NLEMVAudioInfo_trimOut_get = NLEMediaJniJNI.NLEMVAudioInfo_trimOut_get(this.LIZIZ, this);
        MethodCollector.o(1694);
        return NLEMVAudioInfo_trimOut_get;
    }

    private synchronized void LIZLLL() {
        MethodCollector.i(1679);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZ) {
                this.LIZ = false;
                NLEMediaJniJNI.delete_NLEMVAudioInfo(j);
            }
            this.LIZIZ = 0;
        }
        MethodCollector.o(1679);
    }

    public NLEMVAudioInfo(long j) {
        this.LIZ = true;
        this.LIZIZ = j;
    }

    public final void LIZ(long j) {
        MethodCollector.i(1688);
        NLEMediaJniJNI.NLEMVAudioInfo_trimIn_set(this.LIZIZ, this, j);
        MethodCollector.o(1688);
    }

    public final void LIZIZ(long j) {
        MethodCollector.i(1693);
        NLEMediaJniJNI.NLEMVAudioInfo_trimOut_set(this.LIZIZ, this, j);
        MethodCollector.o(1693);
    }

    public final void LIZ(String str) {
        MethodCollector.i(1685);
        NLEMediaJniJNI.NLEMVAudioInfo_path_set(this.LIZIZ, this, str);
        MethodCollector.o(1685);
    }
}
